#include "found-gtk-dialog.h"
#include "found-gtk-widget.h"
#include "found-gtk-private.h"

void
gtk_dialog_set_button_attention_for_response (GtkDialog *dialog, 
                                              gint response_id, 
                                              GtkWidgetAttentionStyle style)
{
    g_return_if_fail (GTK_IS_DIALOG (dialog));
    GtkWidget *button;
    button = gtk_dialog_get_widget_for_response (dialog, response_id);
    if (button)
    {
        gtk_widget_set_attention_style (button, style);
    }
}

GtkWidgetAttentionStyle
gtk_dialog_get_button_attention_for_response (GtkDialog *dialog, gint response_id)
{
    g_return_val_if_fail (GTK_IS_DIALOG (dialog), GTK_WIDGET_ATTENTION_NONE);
    GtkWidget *button;
    button = gtk_dialog_get_widget_for_response (dialog, response_id);
    if (button)
    {
        return gtk_widget_get_attention_style (button);
    }
    return GTK_WIDGET_ATTENTION_NONE;
}

void
gtk_message_dialog_set_content_halign (GtkMessageDialog *dialog, 
                                       GtkAlign align, 
                                       gfloat label_xalign)
{
    g_return_if_fail (GTK_IS_MESSAGE_DIALOG (dialog));
    GList *children, *l;
    GtkWidget *content = gtk_message_dialog_get_message_area (dialog);
    children = gtk_container_get_children (content);
    l = children;
    while (l)
    {
        GtkWidget *child = l->data;
        gtk_widget_set_halign (child, align);
        if (GTK_IS_LABEL (child))
            gtk_label_set_xalign (child, label_xalign);
        l = l->next;
    }
    g_list_free (children);
}